package cn.ninegame.genericframework.module;

import android.text.TextUtils;

import cn.ninegame.genericframework.basic.ControllerData;
import cn.ninegame.genericframework.basic.GundamFragment;
import cn.ninegame.genericframework.basic.GundamNotification;
import cn.ninegame.genericframework.basic.RegisterMessages;

/**
 * Created by lingcong on 2015/6/2.
 */
public abstract class ModuleManifestLocal extends AbsModuleManifest {

    @Override
    public int getModuleType() {
        return ModuleType.LOCAL;
    }

    private ControllerData[] controllers = null;
    private GundamFragment[] fragments = null;
    private String application = null;
    private GundamNotification[] notifications = null;

    @Override
    public String getModuleApplication()  {
        return application;
    }

    public void setModuleApplication(String application) {
        this.application = application;
    }

    public void setControllerDatas(ControllerData[] controllerDatas){
        controllers = controllerDatas;
    }

    @Override
    public ControllerData[] getControllerDatas() {
        return controllers;
    }

    public void setFragmentIDs(GundamFragment[] fragmentIDs){
        fragments = fragmentIDs;
    }

    public GundamNotification[] getNotifications() {
        return notifications;
    }

    public void setNotifications(GundamNotification[] notifications) {
        this.notifications = notifications;
    }

    @Override
    public GundamFragment[] getFragmentIDs() {
        return fragments;
    }

}
