package cn.ninegame.genericframework.updatecenter;

import android.content.Context;
import android.text.TextUtils;

import java.io.File;

import cn.ninegame.genericframework.tools.endecode.Md5Utils;

/**
 * ****************************************************************************
 * Copyright @ 2009 - 2016 www.9game.cn All Rights Reserved
 * <p/>
 * Created by zhonghui on 2016-07-20.
 * Description :
 * ****************************************************************************
 */
public abstract class ModuleUpdHandle implements IDownloaderListener {

    protected IDownloader mDownloader;
    protected IModuleExtractor mModuleExtractor;
    protected File mDownloadFolder;
    protected Context mContext;
    private String type;

    public ModuleUpdHandle(Context context,IDownloader downloader, IModuleExtractor moduleExtractor,File downloadFolder) {
        this.mDownloader = downloader;
        this.mModuleExtractor = moduleExtractor;
        this.mDownloadFolder = downloadFolder;
        this.mContext = context;
    }

    public String getType() {
        return type;
    }

    public void setType(String type) {
        this.type = type;
    }

    protected abstract void receiveModule(ModuleUpdResponseData moduleDataObject);

    protected abstract boolean validateZipFileMD5(File localFile, String md5);

    protected abstract void saveUpdZipFileMd5(String fileName,String md5);

    protected abstract void extractFile(File localFile);


}
