package cn.ninegame.genericframework.module.CacheOperation;

import android.os.Bundle;

import cn.ninegame.genericframework.basic.IResultListener;

/**
 * <p>Title: 9game</p>
 * <p/>
 * <p>Description: </p>
 * //TODO Description
 * <p>Copyright: Copyright (c) 2016</p>
 * <p/>
 * <p>Company: 9game.cn</p>
 *
 * @author haoquan.lhq@alibaba-inc.com
 * @version 1.0
 * @Date: 2016-04-15 9:44
 */
public class FragmentOperation extends Operation{

    public final static int OPERATION_TYPE_FRAGMENT_WITH_FLAG = 1;
    public final static int OPERATION_TYPE_FRAGMENT_WITH_MODE = 2;

    public int type = 0;

    public String fragmentID ;
    public Bundle param;
    public IResultListener listener;

    public boolean useAnim;
    public int mode;
    public int flag;

    public FragmentOperation(String fragmentID, Bundle param, IResultListener listener, boolean useAnim, int mode){
        type = OPERATION_TYPE_FRAGMENT_WITH_MODE;

        setNeedShowLoading(true);

        this.fragmentID = fragmentID;
        this.param = param;
        this.listener = listener;
        this.useAnim = useAnim;
        this.mode = mode;
    }


    public FragmentOperation(String fragmentID, Bundle param, boolean useAnim, int flag){
        type = OPERATION_TYPE_FRAGMENT_WITH_FLAG;

        setNeedShowLoading(true);

        this.fragmentID = fragmentID;
        this.param = param;
        this.useAnim = useAnim;
        this.flag = flag;
    }


    @Override
    public int getOperationKey() {
        return generateOpKey(fragmentID);
    }
}
