package cn.ninegame.genericframework.module.CacheOperation;

import android.os.Bundle;

import cn.ninegame.genericframework.basic.IMessageContext;
import cn.ninegame.genericframework.basic.IResultListener;

/**
 * <p>Title: 9game</p>
 * <p/>
 * <p>Description: </p>
 * //TODO Description
 * <p>Copyright: Copyright (c) 2016</p>
 * <p/>
 * <p>Company: 9game.cn</p>
 *
 * @author haoquan.lhq@alibaba-inc.com
 * @version 1.0
 * @Date: 2016-04-14 19:49
 */
public class MessageOperation extends Operation{
    public int messageID;
    public String message;
    public Bundle messageData;
    public IResultListener listener;
    public IMessageContext messageContext;

    public MessageOperation(int messageID, String message,Bundle messageData, IResultListener listener ){
        this.messageID = messageID;
        this.message = message;
        this.messageData = messageData;
        this.listener = listener;

        setNeedShowLoading(false);
    }

    public MessageOperation(int messageID, String message,Bundle messageData, IResultListener listener,IMessageContext messageContext ){
        this.messageID = messageID;
        this.message = message;
        this.messageData = messageData;
        this.listener = listener;
        this.messageContext  = messageContext;
        setNeedShowLoading(false);
    }


    @Override
    public int getOperationKey() {
        return messageID;
    }
}
